html,
body {
  overflow-x: visible;
}

.pageMv::before {
  background-image: url(../../images/philosophy/img-mv.png);
}

/* =========================
 purpose
============================*/
.pagePurpose {
  overflow-x: hidden;
  position: relative;
}

.pagePurpose .container900 {
  padding-block: 7.5rem 9.5rem;
}

.pagePurpose .container900 {
  position: relative;
  z-index: 1;
}

.pagePurpose__head {
  margin-top: 3.5rem;
}

.pagePurpose__headTitle {
  margin-inline: auto;
  width: fit-content;
}

.pagePurpose__headText {
  font-size: 1.125rem;
  font-weight: 700;
  line-height: 1.8;
  margin-top: 2.5rem;
  text-align: center;
}

.pagePurpose__catch {
  background: var(--colorWhite);
  border-radius: 0.625rem;
  margin-top: 2.5rem;
  padding-block: 2.5rem;
}

.pagePurpose__catchTitle {
  align-items: center;
  display: flex;
  font-size: 3.5rem;
  font-weight: 700;
  gap: 1.5rem;
  justify-content: center;
}

.pagePurpose__catchTitle .is-red {
  color: var(--colorRed);
}

.pagePurpose__catchTitle .is-symbol {
  font-size: 2.5rem;
}

.pagePurpose__catchText {
  font-size: 1.5rem;
  font-weight: 700;
  letter-spacing: 0.05em;
  line-height: 1.8;
  margin-top: 1rem;
  text-align: center;
}

.pagePurpose__column {
  display: grid;
  gap: 6.2%;
  grid-template-columns: 47.22% auto;
  margin-top: 5rem;
}

.pagePurpose__movie {
  aspect-ratio: 16 / 9;
}

.pagePurpose__movie iframe {
  height: 100%;
  width: 100%;
}

.pagePurpose__text {
  line-height: 2;
}

.pagePurpose__link {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  justify-content: flex-end;
  margin-top: 3.5rem;
}

.ball-red1 {
  left: 13.8vw;
  position: absolute;
  top: 6%;
  z-index: -1;
}

.ball-red1::after {
  animation: movingBallRed1 7s ease-in-out -1s infinite;
  aspect-ratio: 1;
  background: url(../../images/common/ball-red.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  width: clamp(calc(3.5rem * 0.8), 4.375vw, calc(3.5rem * 1.15));
}

@keyframes movingBallRed1 {
  0% {
    translate: 0 1vw;
  }
  50% {
    translate: 0 -0.5vw;
  }
  100% {
    translate: 0 1vw;
  }
}

.ball-blue1 {
  left: -8.6vw;
  position: absolute;
  top: 12.5%;
  z-index: -1;
}

.ball-blue1::after {
  animation: movingBallBlue1 8s ease-in-out -3s infinite;
  aspect-ratio: 1;
  background: url(../../images/common/ball-blue.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  width: clamp(calc(15rem * 0.8), 18.75vw, calc(15rem * 1.15));
}

@keyframes movingBallBlue1 {
  0% {
    translate: 0 0.8vw;
  }
  50% {
    translate: 0 -0.8vw;
  }
  100% {
    translate: 0 0.8vw;
  }
}

.ball-red2 {
  position: absolute;
  right: -9.5vw;
  top: 3%;
  z-index: -1;
}

.ball-red2::after {
  animation: movingBallRed2 7.5s ease-in-out -2s infinite;
  aspect-ratio: 1;
  background: url(../../images/common/ball-red.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  width: clamp(calc(17.5rem * 0.8), 21.875vw, calc(17.5rem * 1.15));
}

@keyframes movingBallRed2 {
  0% {
    translate: 0 0;
  }
  25% {
    translate: 0 -0.5vw;
  }
  50% {
    translate: 0 -1vw;
  }
  75% {
    translate: 0 -0.5vw;
  }
  100% {
    translate: 0 0;
  }
}

.ball-blue2 {
  position: absolute;
  right: 7.5vw;
  top: 32.5%;
  z-index: -1;
}

.ball-blue2::after {
  animation: movingBallBlue2 6.5s ease-in-out -4.5s infinite;
  aspect-ratio: 1;
  background: url(../../images/common/ball-blue.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  width: clamp(calc(7.5rem * 0.8), 9.375vw, calc(7.5rem * 1.15));
}

@keyframes movingBallBlue2 {
  0% {
    translate: 0 -1vw;
  }
  50% {
    translate: 0 0.5vw;
  }
  100% {
    translate: 0 -1vw;
  }
}

.ball-red3 {
  left: 7.5vw;
  position: absolute;
  top: 37%;
  z-index: -1;
}

.ball-red3::after {
  animation: movingBallRed3 5.5s ease-in-out -0.5s infinite;
  aspect-ratio: 1;
  background: url(../../images/common/ball-red.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  width: clamp(calc(6.875rem * 0.8), 8.59375vw, calc(6.875rem * 1.15));
}

@keyframes movingBallRed3 {
  0% {
    translate: 0 0.8vw;
  }
  50% {
    translate: 0 -0.8vw;
  }
  100% {
    translate: 0 0.8vw;
  }
}

@media screen and (min-width: 1280px) {
  .pagePurpose .container900 {
    position: relative;
  }
}

@media screen and (max-width: 1280px) {
  .pagePurpose__catchTitle {
    font-size: 4.375vw;
    gap: 1.875vw;
  }
}

@media screen and (max-width: 767px) {
  .pagePurpose .container900 {
    padding-block: var(--size80) var(--size96);
  }

  .pagePurpose__head {
    margin-top: var(--size40);
  }

  .pagePurpose__headTitle {
    width: var(--size240);
  }

  .pagePurpose__headText {
    font-size: var(--size16);
  }

  .pagePurpose__column {
    gap: var(--size32);
    grid-template-columns: 1fr;
    margin-top: var(--size80);
  }

  .pagePurpose__catch {
    padding-block: var(--size24);
  }

  .pagePurpose__catchTitle {
    display: grid;
    font-size: var(--size42);
    gap: 0;
    justify-items: center;
  }

  .pagePurpose__catchTitle .is-symbol {
    font-size: var(--size24);
  }

  .pagePurpose__catchTitle .is-equal {
    transform: rotate(90deg);
  }

  .pagePurpose__catchText {
    font-size: var(--size18);
    margin-top: var(--size24);
  }

  .pagePurpose__text {
    letter-spacing: -0.05em;
  }

  .pagePurpose__link {
    margin-top: var(--size40);
  }

  .ball-red1 {
    left: 1.2rem;
    top: 3%;
  }

  .ball-red1::after {
    width: var(--size32);
  }

  .ball-blue1 {
    left: -3.6rem;
    top: 7.5%;
  }

  .ball-blue1::after {
    width: var(--size88);
  }

  .ball-red2 {
    right: -3.2rem;
    top: 5%;
  }

  .ball-red2::after {
    width: var(--size96);
  }

  .ball-red3 {
    left: -0.3rem;
    top: 29.5%;
  }

  .ball-red3::after {
    width: var(--size40);
  }

  .ball-blue2 {
    right: -1rem;
    top: 27%;
  }

  .ball-blue2::after {
    width: var(--size48);
  }
}
/* =========================
 data
============================*/
.data {
  padding-block: 9.5rem;
}

.data__title {
  position: relative;
  text-align: center;
}

.data__title span {
  background: var(--colorWhite);
  font-size: 1.75rem;
  font-weight: 700;
  padding-inline: 2.5rem;
}

.data__title::before {
  border-bottom: 2px solid transparent;
  border-image: repeating-linear-gradient(
      to right,
      var(--colorGray350) 0 2px,
      transparent 2px 8px
    )
    1;
  content: "";
  left: 50%;
  position: absolute;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: 100%;
  z-index: -1;
}

.dataList {
  display: grid;
  gap: 0.5rem;
  grid-template-columns: repeat(4, 1fr);
  margin-top: 2rem;
}

.dataList__title {
  font-size: 1.5rem;
  font-weight: 700;
  text-align: center;
}

.dataList__item {
  align-content: flex-start;
  background: var(--colorWhite);
  border-radius: 0.5rem;
  box-shadow: 8px 8px 24px 0 rgba(0, 0, 0, 0.15);
  display: grid;
  gap: 1rem;
  justify-content: center;
  padding: 2rem;
}

.dataList__img {
  margin-inline: auto;
  max-width: 7.5rem;
}

.dataList__text {
  align-items: baseline;
  display: flex;
  font-family: var(--familyRoboto);
  font-size: 4rem;
  font-weight: 700;
  gap: 0.5rem;
  justify-content: center;
  line-height: 1;
}

.dataList__text.text-sm {
  font-size: 3.5rem;
}

.dataList__text.text-xs {
  font-size: 2.5rem;
  line-height: 1;
}

.dataList__text .is-value {
  font-family: var(--familyNotoSans);
  font-size: 1.5rem;
}

.dataList__text.text-sm .is-value {
  font-size: 1.25rem;
}

.dataList__text .is-value.is-small {
  font-size: 1.125rem;
}

.dataList__year {
  font-size: 1rem;
  text-align: center;
}

.dataList__column {
  display: grid;
  gap: 1rem;
  grid-template-columns: 1fr 1fr;
}

.dataList__columnItem {
  display: grid;
  gap: 1rem;
  width: fit-content;
}

.dataList__column .dataList__img {
  max-width: 6rem;
}

.dataList__ratio {
  align-items: center;
  display: flex;
  font-family: var(--familyRoboto);
  font-size: 4rem;
  font-weight: 700;
  gap: 2rem;
  justify-content: center;
}

.dataList__ratio .is-colon {
  font-size: 3rem;
}

/* 企業情報 */
.data__Companyinfo {
  margin-top: 3rem;
}

.data__Companyinfo .dataList__item:nth-last-child(1) {
  padding-inline: 1.75rem;
}

/* 働きやすさ */
.data__workStyle {
  margin-top: 5rem;
}

.data__workStyle .dataList__item {
  padding-inline: 0;
}

.data__workStyle .dataList__column {
  gap: 1rem;
}

.data__workStyle .dataList {
  display: flex;
  flex-wrap: wrap;
}

.data__workStyle .dataList__title {
  font-size: 1.25rem;
}

.data__workStyle .dataList__item:nth-child(2) .dataList__text {
  margin-top: 1rem;
}

.data__workStyle .dataList__item:nth-child(1),
.data__workStyle .dataList__item:nth-child(2),
.data__workStyle .dataList__item:nth-child(3) {
  width: calc(((100% - 1rem) / 3));
}

.data__workStyle .dataList__item:nth-child(4),
.data__workStyle .dataList__item:nth-child(5) {
  width: calc(((100% - 0.5rem) / 2));
}

.data__workStyle .dataList__img {
  max-width: fit-content;
}

.data-workStyle__notes {
  font-size: 0.75rem;
  text-align: right;
  margin-top: 1.6rem;
}

@media screen and (max-width: 1280px) {
  .dataList__title {
    font-size: clamp(calc(1.5rem * 0.8), 1.875vw, calc(1.5rem * 1.15));
  }

  .data__workStyle .dataList__title {
    font-size: clamp(calc(1.25rem * 0.8), 1.5625vw, calc(1.25rem * 1.15));
  }

  .dataList__text {
    font-size: clamp(calc(4rem * 0.8), 5vw, calc(4rem * 1.15));
    gap: clamp(calc(0.5rem * 0.8), 0.625vw, calc(0.5rem * 1.15));
  }

  .dataList__text.text-sm {
    font-size: clamp(calc(3.5rem * 0.8), 4.375vw, calc(3.5rem * 1.15));
  }

  .dataList__text.text-xs {
    font-size: clamp(calc(2.5rem * 0.8), 3.125vw, calc(2.5rem * 1.15));
  }

  .dataList__ratio {
    font-size: clamp(calc(4rem * 0.8), 5vw, calc(4rem * 1.15));
  }

  .dataList__text .is-value {
    font-size: clamp(calc(1.5rem * 0.8), 1.875vw, calc(1.5rem * 1.15));
  }

  .dataList__text.text-sm .is-value {
    font-size: clamp(calc(1.25rem * 0.8), 1.5625vw, calc(1.25rem * 1.15));
  }

  .dataList__columnItem {
    gap: clamp(calc(1rem * 0.8), 1.25vw, calc(1rem * 1.15));
  }

  .data__Companyinfo .dataList {
    grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
  }

  .data__workStyle .dataList__column {
    gap: clamp(calc(1rem * 0.8), 1.25vw, calc(1rem * 1.15));
  }
}

@media screen and (max-width: 1024px) {
  .data__workStyle .dataList__column {
    gap: clamp(calc(0.5rem * 0.8), 0.625vw, calc(0.5rem * 1.15));
  }
}

@media screen and (max-width: 767px) {
  .pageMv::before {
    background-image: url(../../images/philosophy/img-mv_sp.png);
  }

  .data {
    padding-block: var(--size96);
  }

  .data__title span {
    font-size: var(--size24);
  }

  .dataList__item {
    gap: var(--size8);
    padding-inline: 0;
  }

  .dataList__text,
  .dataList__ratio {
    font-size: var(--size40);
  }

  .dataList__text.text-sm {
    font-size: var(--size32);
  }

  .dataList__text.text-xs {
    font-size: var(--size28);
  }

  .dataList__text .is-value {
    font-size: var(--size16);
  }

  .dataList__text .is-value.is-small {
    font-size: var(--size12);
  }

  .dataList__ratio {
    gap: var(--size16);
  }

  .dataList__ratio .is-colon {
    font-size: var(--size24);
  }

  .dataList__img {
    max-width: var(--size80);
  }

  .dataList__year {
    font-size: var(--size11);
  }

  /* 企業情報 */
  .data__Companyinfo .dataList {
    grid-template-columns: 1fr 1fr;
  }

  .data__Companyinfo .dataList__item {
    padding: var(--size16) 0;
  }

  .data__Companyinfo .dataList__item:nth-last-child(1) {
    padding-inline: var(--size20);
  }

  .data__Companyinfo .dataList__column {
    margin-top: var(--size16);
  }

  /* 働きやすさ */
  .data__workStyle .dataList {
    display: grid;
    grid-template-columns: 1fr;
  }

  .data__workStyle .dataList__item {
    padding: var(--size20) 0;
  }

  .data__workStyle .dataList__title {
    font-size: var(--size16);
  }

  .data__workStyle .dataList__text.text-sm {
    font-size: var(--size40);
  }

  .data__workStyle .dataList__item:nth-child(1),
  .data__workStyle .dataList__item:nth-child(2),
  .data__workStyle .dataList__item:nth-child(3),
  .data__workStyle .dataList__item:nth-child(4),
  .data__workStyle .dataList__item:nth-child(5) {
    width: 100%;
  }

  .data__workStyle .dataList__item:nth-child(2),
  .data__workStyle .dataList__item:nth-child(3) {
    padding-block: var(--size32);
  }

  .data__workStyle .dataList__column {
    gap: var(--size16);
    grid-template-columns: 1fr;
  }

  .data-workStyle__notes {
    font-size: var(--size11);
    text-align: left;
    margin-top: var(--size16);
  }
}
